/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 *
 * Terms of the MIT License:
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package com.tencent.bk.codecc.task.service;

import com.tencent.bk.codecc.task.model.TaskInfoEntity;
import com.tencent.bk.codecc.task.vo.TaskDetailVO;
import com.tencent.bk.codecc.task.vo.TaskIdVO;

import java.util.List;

/**
 * 任务注册服务接口
 *
 * @version V1.0
 * @date 2019/5/6
 */
public interface TaskRegisterService
{

    /**
     * 任务注册
     *
     * @param taskDetailVO
     * @param userName
     * @return
     */
    TaskIdVO registerTask(TaskDetailVO taskDetailVO, String userName);

    /**
     * 保存任务信息
     *
     * @param taskDetailVO
     * @param userName
     * @return
     */
    TaskInfoEntity saveTaskInfo(TaskDetailVO taskDetailVO, String userName);


    /**
     * 校验项目名称是否使用过
     *
     * @param nameEn
     */
    Boolean checkeIsStreamRegistered(String nameEn);

    /**
     * 修改定时任务触发信息
     *
     * @param taskId
     * @param executeDate
     * @param executeTime
     * @param userName
     * @return
     */
    Boolean modifyTimeAnalysisTask(List<String> executeDate, String executeTime, long taskId, String userName);


    /**
     * 更新任务信息及工具信息
     *
     * @param taskDetailVO
     * @param userName
     * @return
     */
    Boolean updateTaskFromPipeline(TaskDetailVO taskDetailVO, String userName);
}
